/*
 *  html.h
 *  mod_musicindex
 *
 *  $Id: html.h 566 2006-02-04 01:14:20Z boudinr $
 *
 *  Created by Thibaut VARENE on Thu Mar 20 2003.
 *  Copyright (c) 2003-2004 Regis BOUDIN
 *  Copyright (c) 2003-2004 Thibaut VARENE
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License version 2.1,
 *  as published by the Free Software Foundation.
 *
 */

#ifndef HTML_H
#define HTML_H

#include "mod_musicindex.h"

#define MAX_PREFIX	256	/**< Maximum expected size of the URL "prefix" (user\@host stuff). */
#define DIRPERLINE	3	/**< Number of directories to show per line */

void send_head(request_rec *r, const mu_config *const conf);
void send_directories(request_rec *r, const mu_ent *const p, const mu_config *const conf);
void send_tracks(request_rec *r, const mu_ent *const p, const mu_config *const conf);
void send_customlist(request_rec *r, const mu_ent *const p, mu_config *const conf);
void send_playlist(request_rec *r, const mu_ent *const p, const mu_config *const conf);
void send_rss(request_rec *r, const mu_ent *const p, const mu_config *const conf);
void send_randomdir(request_rec *r, const mu_config *const conf);
void send_foot(request_rec *r, const mu_config *const conf);
	
#endif	/* HTML_H */
